# InputLengthWrapper

__React wrapper for HTML input length control__

## Installation

The easiest way to use react-input-length-wrapper is to install it from NPM and include it in your own React build process (using [Browserify](http://browserify.org), [Webpack](http://webpack.github.io/), etc).

You can also use the standalone build by including `dist/react-input-length-wrapper.js` in your page. If you use this, make sure you have already included React, and it is available as a global variable.

```
npm install react-input-length-wrapper --save
```


## Usage

__SIMPLE USAGE HERE__

```
var InputLengthWrapper = require('react-input-length-wrapper');

<InputLengthWrapper>
	<input maxLength={60}/> or <textarea maxLength={60}/>
</InputLengthWrapper>
```

### Props

* 

### Notes

*


## Development (`src`, `lib` and the build process)

**NOTE:** The source code for the component is in `src`. A transpiled CommonJS version (generated with Babel) is available in `lib` for use with node.js, browserify and webpack. A UMD bundle is also built to `dist`, which can be included without the need for any build system.

To build, watch and serve the examples (which will also watch the component source), run `npm start`. If you just want to watch changes to `src` and rebuild `lib`, run `npm run watch` (this is useful if you are working with `npm link`).

## License

__ISC__

Copyright (c) 2017 Yurii Melesh.

